function love.load()

  -- This is a Table of circles.
  circles = {}
end


-- Draw every circle in the table
function love.draw()
   
  for index, item in pairs(circles) do
    love.graphics.setColor(item.color)
    love.graphics.circle("fill", item.x, item.y, item.radius)
  end

  love.graphics.print("Click to add new circles.", 0, 0)
 
end

function love.mousepressed(x, y, b)
  
  new = {}
  new.x = x
  new.y = y
  new.radius = math.random(20, 60)
  
  -- Choose a random number between 1 and number of AllColors
  randomNumber = math.random(1, #AllColors)
  
  -- Store the random color
  new.color = AllColors[randomNumber]
  
  -- Store the new circle in the table
  table.insert(circles, new)
  
end


-- COLORS
RED = {255, 0, 0}
GREEN = {0, 255, 0}
BLUE = {0, 0, 255}
BLACK = {0, 0, 0}
WHITE = {255, 255, 255}

-- All colours in a table
AllColors = {RED, GREEN, BLUE, WHITE}